itpp::Dummy_Code Class Reference
Communications Module » Forward Error Correcting Codes

Dummy Channel Code class. More...

`#include <itpp/comm/channel_code.h>`

Inheritance diagram for itpp::Dummy_Code:

## Public Member Functions

| Dummy_Code ()
| Default constructor.
virtual | ~Dummy_Code ()
| Destructor.
virtual void | encode (const bvec &uncoded_bits, bvec &coded_bits)
| Encode a bvec of input.
virtual bvec | encode (const bvec &uncoded_bits)
| Encode a bvec of input.
virtual void | decode (const bvec &coded_bits, bvec &decoded_bits)
| Decode a bvec of coded data.
virtual bvec | decode (const bvec &coded_bits)
| Decode a bvec of coded data.
virtual void | decode (const vec &received_signal, bvec &decoded_bits)
| Decode a vec of received data. Assumes soft input (BPSK modulated)
virtual bvec | decode (const vec &received_signal)
| Decode a vec of received data. Assumes soft input (BPSK modulated)
virtual double | get_rate () const
| Get the code rate.

## Detailed Description

Dummy Channel Code class.

A dummy code class. Uncoded output.

Definition at line 86 of file channel_code.h.

## Constructor & Destructor Documentation

## Dummy_Code()

itpp::Dummy_Code::Dummy_Code | ( |  | ) |

inline

Default constructor.

Definition at line 90 of file channel_code.h.

## ~Dummy_Code()

virtual itpp::Dummy_Code::~Dummy_Code | ( |  | ) |

inline virtual

Destructor.

Definition at line 92 of file channel_code.h.

## Member Function Documentation

## encode() [1/2]

virtual void itpp::Dummy_Code::encode | ( | const bvec & | uncoded_bits,
|  | bvec & | coded_bits
| ) |  |

inline virtual

Encode a bvec of input.

Implements itpp::Channel_Code.

Definition at line 95 of file channel_code.h.

## encode() [2/2]

virtual bvec itpp::Dummy_Code::encode | ( | const bvec & | uncoded_bits | ) |

inline virtual

Encode a bvec of input.

Implements itpp::Channel_Code.

Definition at line 97 of file channel_code.h.

## decode() [1/4]

virtual void itpp::Dummy_Code::decode | ( | const bvec & | coded_bits,
|  | bvec & | decoded_bits
| ) |  |

inline virtual

Decode a bvec of coded data.

Implements itpp::Channel_Code.

Definition at line 100 of file channel_code.h.

## decode() [2/4]

virtual bvec itpp::Dummy_Code::decode | ( | const bvec & | coded_bits | ) |

inline virtual

Decode a bvec of coded data.

Implements itpp::Channel_Code.

Definition at line 102 of file channel_code.h.

## decode() [3/4]

virtual void itpp::Dummy_Code::decode | ( | const vec & | received_signal,
|  | bvec & | decoded_bits
| ) |  |

inline virtual

Decode a vec of received data. Assumes soft input (BPSK modulated)

Implements itpp::Channel_Code.

Definition at line 105 of file channel_code.h.

References itpp::BPSK::demodulate_bits().

## decode() [4/4]

virtual bvec itpp::Dummy_Code::decode | ( | const vec & | received_signal | ) |

inline virtual

Decode a vec of received data. Assumes soft input (BPSK modulated)

Implements itpp::Channel_Code.

Definition at line 107 of file channel_code.h.

References decode().

Referenced by decode().

## get_rate()

virtual double itpp::Dummy_Code::get_rate | ( | void |  | ) | const

inline virtual

Get the code rate.

Implements itpp::Channel_Code.

Definition at line 110 of file channel_code.h.

The documentation for this class was generated from the following file:

- itpp/comm/channel_code.h

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8